function m = d3_2A2(x, CTB)
    if (nargin < 2)
	error('d3_2A2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -1/5*x+9+3*CTB
    ];
end
