function m = d3_2T1(x, CTB)
    if (nargin < 2)
	error('d3_2T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -6/5*x-6+3*CTB, -3, 3, 0, -2*sqrt(3);
    -3, -1/5*x+3*CTB, -3, 3, 3*sqrt(3);
    3, -3, -1/5*x-6+3*CTB, -3, -sqrt(3);
    0, 3, -3, 4/5*x-6+3*CTB, 2*sqrt(3);
    -2*sqrt(3), 3*sqrt(3), -sqrt(3), 2*sqrt(3), 4/5*x-2+3*CTB
    ];
end
