function m = d4_1E(x, CTB)
    if (nargin < 2)
	error('d4_1E(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -8/5*x-9+7*CTB, 6, sqrt(2)*(2+CTB), -2, -4;
    6, -3/5*x-6+6*CTB, -3*sqrt(2), -12, 0;
    sqrt(2)*(2+CTB), -3*sqrt(2), 2/5*x+5+8*CTB, 10*sqrt(2), -10*sqrt(2);
    -2, -12, 10*sqrt(2), 2/5*x+6+9*CTB, 0;
    -4, 0, -10*sqrt(2), 0, 2/5*x-3+6*CTB
    ];
end
