function m = d4_1T2(x, CTB)
    if (nargin < 2)
	error('d4_1T2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -8/5*x-9+7*CTB, 3*sqrt(2), -5*sqrt(6), 0, -2*sqrt(2), sqrt(2)*(2+CTB), 0;
    3*sqrt(2), -3/5*x-9+6*CTB, -5*sqrt(3), 3, -3, -3, -sqrt(6);
    -5*sqrt(6), -5*sqrt(3), -3/5*x+3+8*CTB, -3*sqrt(3), 5*sqrt(3), -5*sqrt(3), sqrt(2)*(3+CTB);
    0, 3, -3*sqrt(3), 2/5*x-9+6*CTB, -6, 0, -3*sqrt(6);
    -2*sqrt(2), -3, 5*sqrt(3), -6, 2/5*x-3+6*CTB, -10, sqrt(6);
    sqrt(2)*(2+CTB), -3, -5*sqrt(3), 0, -10, 2/5*x+5+8*CTB, sqrt(6);
    0, -sqrt(6), sqrt(2)*(3+CTB), -3*sqrt(6), sqrt(6), sqrt(6), 7/5*x+7*CTB
    ];
end
