function m = d4_3A2(x, CTB)
    if (nargin < 2)
	error('d4_3A2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -3/5*x-8+4*CTB, -12;
    -12, 2/5*x-2+7*CTB
    ];
end
