function m = d4_3E(x, CTB)
    if (nargin < 2)
	error('d4_3E(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -3/5*x-13+4*CTB, -4, 0;
    -4, -3/5*x-10+4*CTB, -3*sqrt(2);
    0, -3*sqrt(2), 2/5*x-11+4*CTB
    ];
end
