function m = d4_3T1(x, CTB)
    if (nargin < 2)
	error('d4_3T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -8/5*x-15+5*CTB, -sqrt(6), -3*sqrt(2), sqrt(2)*(2+CTB), -2*sqrt(2), 0, 0;
    -sqrt(6), -3/5*x-11+4*CTB, 5*sqrt(3), sqrt(3), -sqrt(3), 3, sqrt(6);
    -3*sqrt(2),  5*sqrt(3), -3/5*x-3+6*CTB, -3, -3, 5*sqrt(3), sqrt(2)*(1+CTB);
    sqrt(2)*(2+CTB), sqrt(3), -3, 2/5*x-1+6*CTB, -10, 0, 3*sqrt(2);
    -2*sqrt(2), -sqrt(3), -3, -10, 2/5*x-9+4*CTB, -2*sqrt(3), -3*sqrt(2);
    0, 3, 5*sqrt(3), 0, -2*sqrt(3), 2/5*x-11+4*CTB, sqrt(6);
    0, sqrt(6), sqrt(2)*(1+CTB), 3*sqrt(2), -3*sqrt(2), sqrt(6), 7/5*x-16+5*CTB
    ];
end
