function m = d4_3T2(x, CTB)
    if (nargin < 2)
	error('d4_3T2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -3/5*x-9+4*CTB, -5*sqrt(3), sqrt(6), sqrt(3), -sqrt(6);
    -5*sqrt(3), -3/5*x-5+6*CTB, -3*sqrt(2), 3, sqrt(2)*(3+CTB);
    sqrt(6), -3*sqrt(2), 2/5*x-13+4*CTB, -2*sqrt(2), -6;
    sqrt(3), 3, -2*sqrt(2), 2/5*x-9+4*CTB, 3*sqrt(2);
    -sqrt(6), sqrt(2)*(3+CTB), -6, 3*sqrt(2), 7/5*x-8+5*CTB
    ];
end
