function m = d5_2A1(x, CTB)
    if (nargin < 2)
	error('d5_2A1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -x-3+9*CTB, -3*sqrt(2), 0, 6+CTB;
    -3*sqrt(2), -12+8*CTB, -4*sqrt(3), 3*sqrt(2);
    0, -4*sqrt(3), -19+8*CTB, 0;
    6+CTB, 3*sqrt(2), 0, x-3+9*CTB
    ];
end
