function m = d5_2E(x, CTB)
    if (nargin < 2)
	error('d5_2E(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -x-4+12*CTB, 10, 6, 6*sqrt(3), 6*sqrt(2), -2, 4+2*CTB;
    10, -x-13+9*CTB, -3, 3*sqrt(3), 0, 2+CTB, 2;
    6, -3, -4+10*CTB, 0, 0, -3, -6;
    6*sqrt(3), 3*sqrt(3), 0, -16+8*CTB, 2*sqrt(6), -3*sqrt(3), 6*sqrt(3);
    6*sqrt(2), 0, 0, 2*sqrt(6), -12+8*CTB, 0, 6*sqrt(2);
    -2, 2+CTB, -3, -3*sqrt(3), 0, x-13+9*CTB, -10;
    4+2*CTB, 2, -6, 6*sqrt(3), 6*sqrt(2), -10, x-4+12*CTB
    ];
end
