function m = d5_2T1(x, CTB)
    if (nargin < 2)
	error('d5_2T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -x-22+9*CTB, -3, -3*sqrt(2)/2, 3/2*sqrt(2), -3/2*sqrt(2), -3/2*sqrt(6), 0, CTB;
    -3, -x-8+9*CTB, 3/2*sqrt(2), 3/2*sqrt(2), 15/2*sqrt(2), 5/2*sqrt(6), 4+CTB, 0;
    -3/2*sqrt(2), 3/2*sqrt(2), -4+10*CTB, 0, 0, 10*sqrt(3), 3/2*sqrt(2), -3/2*sqrt(2);
    3/2*sqrt(2), 3/2*sqrt(2), 0, -12+8*CTB, 0, 0, -3/2*sqrt(2), -3/2*sqrt(2);
    -3/2*sqrt(2), 15/2*sqrt(2), 0, 0, -10+10*CTB, 2*sqrt(3), 15/2*sqrt(2), -3/2*sqrt(2);
    -3/2*sqrt(6), 5/2*sqrt(6), 10*sqrt(3), 0, 2*sqrt(3), -6+10*CTB, 5/2*sqrt(6), -3/2*sqrt(6);
    0, 4+CTB, 3/2*sqrt(2), -3/2*sqrt(2), 15/2*sqrt(2), 5/2*sqrt(6), x-8+9*CTB, -3;
    CTB, 0, -3/2*sqrt(2), -3/2*sqrt(2), -3/2*sqrt(2), -3/2*sqrt(6), -3, x-22+9*CTB;
    ];
end
