function m = d5_2T2(x, CTB)
    if (nargin < 2)
	error('d5_2T2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -2*x-20+10*CTB, 3*sqrt(6), sqrt(6), 0, -2*sqrt(3), 4+2*CTB, 2, 0, 0, 0;
    3*sqrt(6), -x-8+9*CTB, 3, sqrt(6)/2, -3/2*sqrt(2), 3/2*sqrt(6), 3/2*sqrt(6), 0, 4+CTB, 0;
    sqrt(6), 3, -x-18+9*CTB, 3/2*sqrt(6), -3/2*sqrt(2), 5/2*sqrt(6), -5/2*sqrt(6), CTB, 0, 0;
    0, sqrt(6)/2, 3/2*sqrt(6), -16+8*CTB, 2*sqrt(3), 0, 0, -3/2*sqrt(6), -sqrt(6)/2, 0;
    -2*sqrt(3), -3/2*sqrt(2), -3/2*sqrt(2), 2*sqrt(3), -12+8*CTB, -10*sqrt(3), 0, 3/2*sqrt(2), 3/2*sqrt(2), -2*sqrt(3);
    4+2*CTB, 3/2*sqrt(6), 5/2*sqrt(6), 0, -10*sqrt(3), 2+12*CTB, 0, -5/2*sqrt(6), -3/2*sqrt(6), 4+2*CTB;
    2, 3/2*sqrt(6), -5/2*sqrt(6), 0, 0, 0, -6+10*CTB, -5/2*sqrt(6), 3/2*sqrt(6), -2;
    0, 0, CTB, -3/2*sqrt(6), 3/2*sqrt(2), -5/2*sqrt(6), -5/2*sqrt(6), x-18+9*CTB, 3, -sqrt(6);
    0, 4+CTB, 0, -sqrt(6)/2, 3/2*sqrt(2), -3/2*sqrt(6), 3/2*sqrt(6), 3, x-8+9*CTB, -3*sqrt(6);
    0, 0, 0, 0, -2*sqrt(3), 4+2*CTB, -2, -sqrt(6), -3*sqrt(6), 2*x-20+10*CTB
    ];
end
