function m = d5_4T1(x, CTB)
    if (nargin < 2)
	error('d5_4T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -x-25+6*CTB, -3*sqrt(2), CTB;
    -3*sqrt(2), -16+7*CTB, -3*sqrt(2);
    CTB, -3*sqrt(2), x-25+6*CTB
    ];
end
