function m = d5_4T2(x, CTB)
    if (nargin < 2)
	error('d5_4T2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -x-17+6*CTB, sqrt(6), 4+CTB;
    sqrt(6), -22+5*CTB, -sqrt(6);
    4+CTB, -sqrt(6), x-17+6*CTB
    ];
end
