function m = d6_1A1(x, CTB)
    if (nargin < 2)
	error('d6_1A1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    8/5*x+10*CTB, -12*sqrt(2), sqrt(2)*(4+2*CTB), 2*sqrt(2), 0;
    -12*sqrt(2), 3/5*x+6*CTB, -12, -6, 0;
    sqrt(2)*(4+2*CTB), -12, -2/5*x+14+11*CTB, 20, sqrt(6)*(2+CTB);
    2*sqrt(2), -6, 20, -2/5*x-3+6*CTB, 2*sqrt(6);
    0, 0, sqrt(6)*(2+CTB), 2*sqrt(6), -12/5*x-16+8*CTB
    ];
end
