function m = d6_1A2(x, CTB)
    if (nargin < 2)
	error('d6_1A2(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    3/5*x-12+6*CTB, 6;
    6, -2/5*x-3+6*CTB
    ];
end
