function m = d6_1T1(x, CTB)
    if (nargin < 2)
	error('d6_1T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    3/5*x-3+6*CTB, 5*sqrt(3), 3, sqrt(6);
    5*sqrt(3), 3/5*x-3+8*CTB, -5*sqrt(3), sqrt(2)*(1+CTB);
    3, -5*sqrt(3), -2/5*x-3+6*CTB, -sqrt(6);
    sqrt(6), sqrt(2)*(1+CTB), -sqrt(6), -7/5*x-16+7*CTB
    ];
end
