function m = d7_2E(x, CTB)
    if (nargin < 2)
	error('d7_2E(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    6/5*x-6+3*CTB, -6*sqrt(2), -3*sqrt(2), 0;
    -6*sqrt(2), 1/5*x+8+6*CTB, 10, sqrt(3)*(2+CTB);
    -3*sqrt(2), 10, 1/5*x-1+3*CTB, 2*sqrt(3);
    0, sqrt(3)*(2+CTB), 2*sqrt(3), -9/5*x-8+4*CTB
    ];
end
