function m = d8_1A1(x, CTB)
    if (nargin < 2)
	error('d8_1A1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    4/5*x+10+5*CTB, sqrt(6)*(2+CTB);
    sqrt(6)*(2+CTB), -6/5*x+8+4*CTB
    ];
end
