function m = d8_1E(x, CTB)
    if (nargin < 2)
	error('d8_1E(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    4/5*x+1+2*CTB, -2*sqrt(3);
    -2*sqrt(3), -6/5*x+2*CTB
    ];
end
