function m = d8_1T1(x, CTB)
    if (nargin < 2)
	error('d8_1T1(x, CTB)');
    end

    if (!isscalar(x) || !isreal(x))
	error('x must be a real scalar value');
    end

    if (!isscalar(CTB) || !isreal(CTB))
	error('C/B ratio must be a real scalar value');
    elseif (CTB < 0)
	error('C/B ratio must be non-negative');
    end

    m = [
    -1/5*x+4+2*CTB
    ];
end
